%
% DESCRIPTION: Program to create the Flowback rate GDF file in the Matlab format.
% 
% [TimeZone] and [Description] have text format so the values give in ''


clear;clc;
[FormatName] = 'GDF';
[FormatVersion] = 2.1;
[CRS] = 'n/a'%['EPSG:' num2str(input('[CRS] EPSG code (just number) = '))];
[TimeZone] = 'UTC' %input('TimeZone (char) = ');
[Description] = 'Description of the dataset' %input('Description of data (char) = ');
         
[FieldDescription] = {
    'Date','Time of flowback rate'
    'Flowback_rate','Flowback rate'};
[FieldType] = {
    'Date',5
    'Flowback_rate',14};
[FieldUnit] = {
    'Date','datenum'
    'Flowback_rate','m^3/min'};
[d] = struct();

d.Date = [];

d.Flowback_rate = [];

save('GDF_EpizodName_Flowback_rate_example.mat')